Package com.orchestranetworks.schema

# Interface SchemaNodeContext

All Known Subinterfaces:
  `ConstraintContext`, `ConstraintContextOnTable`, `DatasetSetFilterSetupContext`, `DataspaceSetFilterSetupContext`, `DependenciesDefinitionContext`, `SchemaDocumentationSetupContext`, `TableRefDisplayContext`, `TableRefFilterContext`, `TriggerSetupContext`, `UserServiceAssociationRecordFormFactoryContext`, `UserServiceRecordFormFactoryContext`, `ValueFunctionContext`, `WidgetFactorySetupContext`

public interface SchemaNodeContext
This interface defines common services for performing a validation task on an entity associated with a `data model node`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addError(String aMessage)`
  Adds the specified error message.
  `void`
  `addError(String aMessage, Exception ex)`
  Adds the specified error message and exception.
  `void`
  `addInfo(String aMessage)`
  Adds the specified information message.
  `void`
  `addMessage(UserMessage aMessage)`
  Attaches the specified message to the current component.
  `void`
  `addWarning(String aMessage)`
  Adds the specified warning message.
  `SchemaNode`
  `getSchemaNode()`
  Returns the node on which the component is attached.

- ## Method Details

  - ### addMessage

    void addMessage(UserMessage aMessage)
    Attaches the specified message to the current component. When a message must be internationalized, this method is used instead of `addError(String)`, `addWarning(String)`, or `addInfo(String)`.

    Specifically, this method creates a new validation item and its subject is the entity referred to by this context. When displaying the message, the implementation adds information about this subject. As a result, it is not necessary to repeat this contextual information in the message argument.

  - ### addError

    void addError(String aMessage)
    Adds the specified error message.
    See Also:
      - `addMessage(UserMessage)`

  - ### addError

    void addError(String aMessage, Exception ex)
    Adds the specified error message and exception.
    See Also:
      - `addMessage(UserMessage)`

  - ### addInfo

    void addInfo(String aMessage)
    Adds the specified information message.
    See Also:
      - `addMessage(UserMessage)`

  - ### addWarning

    void addWarning(String aMessage)
    Adds the specified warning message.
    See Also:
      - `addMessage(UserMessage)`

  - ### getSchemaNode

    SchemaNode getSchemaNode()
    Returns the node on which the component is attached.